cdac.medinfo.sdk.hl7282.utils

## Enum EnumSegmentCardinality

- java.lang.Object
- - java.lang.Enum<EnumSegmentCardinality>
  - - cdac.medinfo.sdk.hl7282.utils.EnumSegmentCardinality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumSegmentCardinality>

      public enum EnumSegmentCardinality
      extends java.lang.Enum<EnumSegmentCardinality>

  This enum is used to specify Segment Cardinality & Optionality.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE_COMPULSARY` Enum Constants used for Compulsary and Repeating Segments.
    `MULTIPLE_OPTIONAL` Enum Constants used for Repeating and Optional Segments.
    `SINGLE_COMPULSARY` Enum Constants used for Compulsary and Non repeating Segments
    `SINGLE_OPTIONAL` Enum Constants used for single and Optional Segments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the Integer value of this enum.
    `static EnumSegmentCardinality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumSegmentCardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_COMPULSARY

          public static final EnumSegmentCardinality SINGLE_COMPULSARY

      Enum Constants used for Compulsary and Non repeating Segments

    - #### MULTIPLE_COMPULSARY

          public static final EnumSegmentCardinality MULTIPLE_COMPULSARY

      Enum Constants used for Compulsary and Repeating Segments.

    - #### SINGLE_OPTIONAL

          public static final EnumSegmentCardinality SINGLE_OPTIONAL

      Enum Constants used for single and Optional Segments.

    - #### MULTIPLE_OPTIONAL

          public static final EnumSegmentCardinality MULTIPLE_OPTIONAL

      Enum Constants used for Repeating and Optional Segments.

  - ### Method Detail

    - #### values

          public static EnumSegmentCardinality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSegmentCardinality c : EnumSegmentCardinality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSegmentCardinality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns the Integer value of this enum.
      Returns:
        int - integer value of Segment Cardinality & Optionality